aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/scripts/python/bin/failed-syscalls-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/failed-syscalls-by-pid-report2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
index 8c128eff9c0a..30293545fcc2 100644
--- a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
+++ b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
@@ -2,7 +2,7 @@
# description: system-wide failed syscalls, by pid
# args: [comm]
if [ $# -gt 0 ] ; then
- if ! expr match "$1" "-" ; then
+ if ! expr match "$1" "-" > /dev/null ; then
comm=$1
shift
fi